LibreOffice LibreOffice 6.2 SDK API Reference

Modules | Variables
LogLevel.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::logging
| logging of events.

## Constant Groups
constants | com::sun::star::logging::LogLevel
| specifies levels to distinguish between severities of logged events

## Variables
const long | OFF = 0x7FFFFFFF
| specifies that no messages are to be logged at all More...
const long | SEVERE = 1000
| denotes a serious failure to be logged More...
const long | WARNING = 900
| denotes a potential problem to be logged More...
const long | INFO = 800
| denotes an informational message to be logged More...
const long | CONFIG = 700
| denotes a static configuration message to be logged More...
const long | FINE = 500
| denotes basic tracing information to be logged More...
const long | FINER = 400
| denotes more fine-grained tracing information to be logged More...
const long | FINEST = 300
| denotes highly detailed tracing information to be logged More...
const long | ALL = -0x80000000
| specifies that all messages should be logged More...